using System;
using System.Collections;


   /// <summary>
   /// Reprezentuje zbiór numerów ISBN ostatnio przeglądanych produktów;
   /// </summary>
   [Serializable]
   public class ViewedProducts: CollectionBase
   {
      public string this[int index]
      {
         get
         {
            return (string)List[index];
         }
         set
         {
            List[index] = value;
         }
      }


      public void Add(string isbn)
      {
         // jeśli dany numer ISBN jest już na liście, wtedy zadanie zostało wykonane
         if (List.Contains(isbn))
            return;

         // dodaj nowy element
         List.Add(isbn);

         // jeśli na liście jest więcej niż 5 elementów, usuń pierwszy element
         if (List.Count > 5)
            List.RemoveAt(0);
      }


   }
